# Neuron explainer

This directory contains a version of our code for generating, simulating and scoring explanations of
neuron behavior.

# Setup

```
pip install -e .
```

# Usage

For example usage, see the `demos` folder:

* [Generating and scoring activation-based explanations](demos/generate_and_score_explanation.ipynb)
* [Generating and scoring explanations based on tokens with high average activations](demos/generate_and_score_token_look_up_table_explanation.ipynb)
* [Generating explanations for human-written neuron puzzles](demos/explain_puzzles.ipynb)
